Page MenuHomePhabricator

[Task] Enable data access for Meta
Closed, ResolvedPublic

Description

I see that Wikibase Client has been enabled at Meta in T108825, but that only seems to cover linking pages to entities. Wikibase Client’s Lua interface is not enabled, so Scribunto modules are unable to retrieve entity objects.

Module:Project portal currently auto-generates source code for all the multilingual www.*.org portals other than www.wikisource.org. It would have several uses for Wikidata:

  • For the www.wikibooks.org portal, it should be able to automatically detect the “write a new article” help page for each wiki. Instead, I have to hard-code that information in Module:Project portal/wikis.
  • The various Wiktionaries have a total of four logo designs among them. Module:Project portal/wikis similarly maps each wiki to its logo design. It would be better to glan this information from Wikidata statements.
  • There’s a function that translates List of Wikipedias/Table on the fly. It should be possible to insert sitelinks to each language’s article on a given Wikipedia. (#language: isn’t great because it relies in large part on CLDR, which often differs from Wikimedia’s own names for languages.)

There are a number of other pieces of functionality around Meta that would benefit from mw.wikibase.getEntity().

Event Timeline

mxn created this task.Nov 3 2015, 2:47 AM
mxn updated the task description. (Show Details)
mxn raised the priority of this task from to Needs Triage.
mxn added a subscriber: mxn.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 3 2015, 2:47 AM
mxn set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptNov 3 2015, 2:48 AM
Lydia_Pintscher renamed this task from Cannot access Wikidata on Meta-Wiki via Scribunto API to [Task] Enable data access for Meta.Nov 3 2015, 4:16 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 8 2015, 10:10 PM

Hello, today the French Wikinews can't use the French Wikipedia modules because of that.
For example, when entering:

mw.log(mw.wikibase.getEntity( 'Q42' ))

On the French Wikipedia it returns 'table' as described on MediaWiki.org, but on the French Wikinews it's always error: attempt to index field 'wikibase' (a nil value).

Please find the community consensus to use this functionality here: https://fr.wikinews.org/wiki/Wikinews:Salle_caf%C3%A9/2015/novembre#Installation_de_la_fonction_Lua_mw.wikibase.getEntity.28.29_demand.C3.A9e

This will be done on Dec 2nd.

This will be done on Dec 2nd.

Even with the deployment freeze that week? (I asked in IRC, and was told "If it's just a config change, it might be ok to SWAT" - that'd need greg's approval though, and to be added at https://wikitech.wikimedia.org/wiki/Deployments#Wednesday.2C.C2.A0December.C2.A002 )
:-)

aude added a subscriber: aude.Nov 27 2015, 8:51 PM

@Quiddity I am checking with Greg and the fundraising staff and not sure about meta wiki for Wednesday. We obviously don't want to put any risk of a site outage or issue on meta wiki during important fundraising days. :/

We might need to postpone for maybe 2 weeks, though maybe wikinews + the others are still ok.

aude added a comment.Nov 27 2015, 8:52 PM

also, want to note that I was not aware of the deployment freeze when we decided on Dec 2. I understand the situation but :/

greg added a subscriber: greg.EditedNov 27 2015, 9:10 PM

also, want to note that I was not aware of the deployment freeze when we decided on Dec 2. I understand the situation but :/

Sorry, mea culpa.

This is scheduled for 15. of December now.

aude added a comment.EditedDec 8 2015, 11:27 AM

beta meta-wiki now (since earlier today) has data access, so people can try it there :)

e.g. http://meta.wikimedia.beta.wmflabs.org/wiki/Kitten and http://meta.wikimedia.beta.wmflabs.org/wiki/Arbitrary_kitten :)

Luke081515 triaged this task as Normal priority.Dec 9 2015, 8:43 AM
aude claimed this task.Dec 15 2015, 8:57 AM

Change 259218 had a related patch set uploaded (by Aude):
Enable Wikidata data access for meta-wiki

https://gerrit.wikimedia.org/r/259218

Change 259218 merged by jenkins-bot:
Enable Wikidata data access for meta-wiki

https://gerrit.wikimedia.org/r/259218

aude closed this task as Resolved.Dec 15 2015, 11:29 PM
aude removed a project: Patch-For-Review.
aude moved this task from Review to Done on the Wikidata-Sprint-2015-12-01 board.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 7 2016, 1:23 PM